//  File:  ThermistorVoltageResistance.pde
//
//  Use a voltage divider to indicate electrical resistance of a thermistor.

// -- setup() is executed once when sketch is downloaded or Arduino is reset
void setup() {
  Serial.begin(9600);     // open serial port and set data rate to 9600 bps 
  Serial.println("Thermistor voltage and resistance measurement:");
  Serial.println("\n   Vo     Rt");
}  

// -- loop() is repeated indefinitely
void loop() {
  int   ThermistorPin = 1;   //  Analog input pin for thermistor voltage
  int   Vo;                  //  Integer value of voltage reading
  float R = 9870.0;          //  Fixed resistance in the voltage divider
  float Rt;                  //  Computed resistance of the thermistor
  
  Vo = analogRead(ThermistorPin);
  Rt = R*( 1023.0 / float(Vo) - 1.0 ); 
  
  Serial.print("  ");  Serial.print(Vo);
  Serial.print("  ");  Serial.println(Rt);
  delay(200);
}
